Bug 1456293 - [abrt] gnome-shell: js::GCMethods<JSObject*>::needsPostBarrier(): gnome-shell killed by signal 11
Summary: [abrt] gnome-shell: js::GCMethods<JSObject*>::needsPostBarrier(): gnome-shell...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:77d35a4fd49af2d1d105f7eeb21...
: 1471454 (view as bug list)
Depends On:
Blocks: F27BetaFreezeException F27FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2017-05-28 20:40 UTC by Vít Ondruch
Modified: 2017-09-25 18:07 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-25 18:07:36 UTC


Attachments (Terms of Use)
File: backtrace (48.91 KB, text/plain)
2017-05-28 20:41 UTC, Vít Ondruch
no flags Details
File: cgroup (292 bytes, text/plain)
2017-05-28 20:41 UTC, Vít Ondruch
no flags Details
File: core_backtrace (25.26 KB, text/plain)
2017-05-28 20:41 UTC, Vít Ondruch
no flags Details
File: cpuinfo (1.14 KB, text/plain)
2017-05-28 20:41 UTC, Vít Ondruch
no flags Details
File: dso_list (27.21 KB, text/plain)
2017-05-28 20:41 UTC, Vít Ondruch
no flags Details
File: environ (1.37 KB, text/plain)
2017-05-28 20:41 UTC, Vít Ondruch
no flags Details
File: exploitable (95 bytes, text/plain)
2017-05-28 20:41 UTC, Vít Ondruch
no flags Details
File: limits (1.29 KB, text/plain)
2017-05-28 20:41 UTC, Vít Ondruch
no flags Details
File: maps (150.61 KB, text/plain)
2017-05-28 20:41 UTC, Vít Ondruch
no flags Details
File: open_fds (9.04 KB, text/plain)
2017-05-28 20:41 UTC, Vít Ondruch
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-05-28 20:41 UTC, Vít Ondruch
no flags Details
File: var_log_messages (7.42 KB, text/plain)
2017-05-28 20:41 UTC, Vít Ondruch
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 784873 None None None 2017-07-12 20:25:18 UTC
Red Hat Bugzilla 1444365 None None None Never

Internal Links: 1444365

Description Vít Ondruch 2017-05-28 20:40:59 UTC
Version-Release number of selected component:
gnome-shell-3.25.1-1.fc27

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=36248c1f56bb430b9e4da2926dae1680;i=418c;b=93947cf23a574ecd8eb636462113606d;m=9fdd383480;t=5509a98668e09;x=d501497b9a77d518
kernel:         4.11.0-1.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 js::GCMethods<JSObject*>::needsPostBarrier at /usr/include/mozjs-38/js/RootingAPI.h:663
 #1 JS::Heap<JSObject*>::set at /usr/include/mozjs-38/js/RootingAPI.h:296
 #2 JS::Heap<JSObject*>::operator= at /usr/include/mozjs-38/js/RootingAPI.h:266
 #3 GjsMaybeOwned<JSObject*>::reset at ./gjs/jsapi-util-root.h:266
 #4 closure_clear_idle at gi/closure.cpp:132
 #10 meta_run at core/main.c:646

Potential duplicate: bug 1444365

Comment 1 Vít Ondruch 2017-05-28 20:41:08 UTC
Created attachment 1283095 [details]
File: backtrace

Comment 2 Vít Ondruch 2017-05-28 20:41:09 UTC
Created attachment 1283096 [details]
File: cgroup

Comment 3 Vít Ondruch 2017-05-28 20:41:12 UTC
Created attachment 1283097 [details]
File: core_backtrace

Comment 4 Vít Ondruch 2017-05-28 20:41:13 UTC
Created attachment 1283098 [details]
File: cpuinfo

Comment 5 Vít Ondruch 2017-05-28 20:41:15 UTC
Created attachment 1283099 [details]
File: dso_list

Comment 6 Vít Ondruch 2017-05-28 20:41:17 UTC
Created attachment 1283100 [details]
File: environ

Comment 7 Vít Ondruch 2017-05-28 20:41:19 UTC
Created attachment 1283101 [details]
File: exploitable

Comment 8 Vít Ondruch 2017-05-28 20:41:20 UTC
Created attachment 1283102 [details]
File: limits

Comment 9 Vít Ondruch 2017-05-28 20:41:23 UTC
Created attachment 1283103 [details]
File: maps

Comment 10 Vít Ondruch 2017-05-28 20:41:25 UTC
Created attachment 1283104 [details]
File: open_fds

Comment 11 Vít Ondruch 2017-05-28 20:41:27 UTC
Created attachment 1283105 [details]
File: proc_pid_status

Comment 12 Vít Ondruch 2017-05-28 20:41:29 UTC
Created attachment 1283106 [details]
File: var_log_messages

Comment 13 Brendan Shephard 2017-07-16 02:18:39 UTC
*** Bug 1471454 has been marked as a duplicate of this bug. ***

Comment 14 Mikhail 2017-07-21 13:58:49 UTC
Similar problem has been detected:

nothing doing special, it happens after 8 hours of using computer

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=02e9664ae8154cb4a30372a31ed43f2e;i=1b1e;b=1066677081e8414dab3faf8dceb6759e;m=6ebd45910;t=554d3fd09c3b0;x=a5a0e4770ff671a3
kernel:         4.13.0-0.rc1.git1.1.fc27.x86_64
package:        gnome-shell-3.25.3-1.fc27
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Vít Ondruch 2017-07-27 17:49:38 UTC
This is scratch build of gjs with the upstream patch applied:

https://koji.fedoraproject.org/koji/taskinfo?taskID=20805091

Comment 16 Fedora Update System 2017-07-28 13:06:16 UTC
gjs-1.48.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6910d8598

Comment 17 Fedora Update System 2017-07-31 04:22:54 UTC
gjs-1.48.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6910d8598

Comment 18 Fedora Update System 2017-08-01 16:24:26 UTC
gjs-1.48.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Mikhail 2017-08-26 10:28:14 UTC
Similar problem has been detected:

play a video in VLC

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=02e9664ae8154cb4a30372a31ed43f2e;i=1b1e;b=1066677081e8414dab3faf8dceb6759e;m=6ebd45910;t=554d3fd09c3b0;x=a5a0e4770ff671a3
kernel:         4.13.0-0.rc1.git1.1.fc27.x86_64
package:        gnome-shell-3.25.3-1.fc27
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Mikhail 2017-09-09 05:47:47 UTC
Similar problem has been detected:

nothing to do, just launch google chrome

reporter:       libreport-2.9.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::GCMethods<JSObject*>::needsPostBarrier
executable:     /usr/bin/gnome-shell
journald_cursor: s=02e9664ae8154cb4a30372a31ed43f2e;i=1b1e;b=1066677081e8414dab3faf8dceb6759e;m=6ebd45910;t=554d3fd09c3b0;x=a5a0e4770ff671a3
kernel:         4.13.0-0.rc1.git1.1.fc27.x86_64
package:        gnome-shell-3.25.3-1.fc27
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Mikhail 2017-09-09 06:05:40 UTC
This bug manifested in 
# gnome-shell --version
GNOME Shell 3.25.91

Comment 22 Mikhail 2017-09-09 06:08:31 UTC
       Message: Process 22361 (gnome-shell) of user 1000 dumped core.
                
                Stack trace of thread 22361:
                #0  0x00007f01de4ca15d _ZN2js9GCMethodsIP8JSObjectE16needsPostBarrierES2_ (libgjs.so.0)
                #1  0x00007f01df4fc667 g_idle_dispatch (libglib-2.0.so.0)
                #2  0x00007f01df4ffc87 g_main_dispatch (libglib-2.0.so.0)
                #3  0x00007f01df500030 g_main_context_iterate (libglib-2.0.so.0)
                #4  0x00007f01df500342 g_main_loop_run (libglib-2.0.so.0)
                #5  0x00007f01dda3ff9c meta_run (libmutter-1.so.0)
                #6  0x00005627c2c83277 main (gnome-shell)
                #7  0x00007f01dd3f1097 __libc_start_main (libc.so.6)
                #8  0x00005627c2c8338a _start (gnome-shell)
                
                Stack trace of thread 22447:
                #0  0x00007f01dd79267c futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f01cebb8500 PR_WaitCondVar (libnspr4.so)
                #2  0x00007f01d69fae41 _ZN2js23GlobalHelperThreadState4waitENS0_7CondVarEj (libmozjs-38.so)
                #3  0x00007f01cebbe07b _pt_root (libnspr4.so)
                #4  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #5  0x00007f01dd4c45ef __clone (libc.so.6)
                
                Stack trace of thread 22367:
                #0  0x00007f01dd4ba3a9 __GI___poll (libc.so.6)
                #1  0x00007f01df4fffa9 g_main_context_poll (libglib-2.0.so.0)
                #2  0x00007f01df5000bc g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007f01df500101 glib_worker_main (libglib-2.0.so.0)
                #4  0x00007f01df527766 g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #6  0x00007f01dd4c45ef __clone (libc.so.6)
                
                Stack trace of thread 22368:
                #0  0x00007f01dd4ba3a9 __GI___poll (libc.so.6)
                #1  0x00007f01df4fffa9 g_main_context_poll (libglib-2.0.so.0)
                #2  0x00007f01df500342 g_main_loop_run (libglib-2.0.so.0)
                #3  0x00007f01dfaf08f6 gdbus_shared_thread_func (libgio-2.0.so.0)
                #4  0x00007f01df527766 g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #6  0x00007f01dd4c45ef __clone (libc.so.6)
                
                Stack trace of thread 22373:
                #0  0x00007f01dd4ba3a9 __GI___poll (libc.so.6)
                #1  0x00007f01df4fffa9 g_main_context_poll (libglib-2.0.so.0)
                #2  0x00007f01df5000bc g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007f01c129342d dconf_gdbus_worker_thread (libdconfsettings.so)
                #4  0x00007f01df527766 g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #6  0x00007f01dd4c45ef __clone (libc.so.6)
                
                Stack trace of thread 22448:
                #0  0x00007f01dd79267c futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f01cebb8500 PR_WaitCondVar (libnspr4.so)
                #2  0x00007f01d69fae41 _ZN2js23GlobalHelperThreadState4waitENS0_7CondVarEj (libmozjs-38.so)
                #3  0x00007f01cebbe07b _pt_root (libnspr4.so)
                #4  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #5  0x00007f01dd4c45ef __clone (libc.so.6)
                
                Stack trace of thread 22450:
                #0  0x00007f01dd79267c futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f01cebb8500 PR_WaitCondVar (libnspr4.so)
                #2  0x00007f01d69fae41 _ZN2js23GlobalHelperThreadState4waitENS0_7CondVarEj (libmozjs-38.so)
                #3  0x00007f01cebbe07b _pt_root (libnspr4.so)
                #4  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #5  0x00007f01dd4c45ef __clone (libc.so.6)
                
                Stack trace of thread 22446:
                #0  0x00007f01dd4ba3a9 __GI___poll (libc.so.6)
                #1  0x00007f01b1503661 poll_func (libpulse.so.0)
                #2  0x00007f01b14f5020 pa_mainloop_poll (libpulse.so.0)
                #3  0x00007f01b14f56b0 pa_mainloop_iterate (libpulse.so.0)
                #4  0x00007f01b14f5740 pa_mainloop_run (libpulse.so.0)
                #5  0x00007f01b15035a9 thread (libpulse.so.0)
                #6  0x00007f01b12a2ac8 internal_thread_func (libpulsecommon-11.0.so)
                #7  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #8  0x00007f01dd4c45ef __clone (libc.so.6)
                
                Stack trace of thread 22451:
                #0  0x00007f01dd79267c futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f01cebb8500 PR_WaitCondVar (libnspr4.so)
                #2  0x00007f01d69fae41 _ZN2js23GlobalHelperThreadState4waitENS0_7CondVarEj (libmozjs-38.so)
                #3  0x00007f01cebbe07b _pt_root (libnspr4.so)
                #4  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #5  0x00007f01dd4c45ef __clone (libc.so.6)
                
                Stack trace of thread 22453:
                #0  0x00007f01dd79267c futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f01cebb8500 PR_WaitCondVar (libnspr4.so)
                #2  0x00007f01d69fae41 _ZN2js23GlobalHelperThreadState4waitENS0_7CondVarEj (libmozjs-38.so)
                #3  0x00007f01cebbe07b _pt_root (libnspr4.so)
                #4  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #5  0x00007f01dd4c45ef __clone (libc.so.6)
                
                Stack trace of thread 22454:
                #0  0x00007f01dd79267c futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f01cebb8500 PR_WaitCondVar (libnspr4.so)
                #2  0x00007f01d69fae41 _ZN2js23GlobalHelperThreadState4waitENS0_7CondVarEj (libmozjs-38.so)
                #3  0x00007f01cebbe07b _pt_root (libnspr4.so)
                #4  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #5  0x00007f01dd4c45ef __clone (libc.so.6)
                
                Stack trace of thread 22458:
                #0  0x00007f01dd79267c futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f01cebb8500 PR_WaitCondVar (libnspr4.so)
                #2  0x00007f01d69fae41 _ZN2js23GlobalHelperThreadState4waitENS0_7CondVarEj (libmozjs-38.so)
                #3  0x00007f01cebbe07b _pt_root (libnspr4.so)
                #4  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #5  0x00007f01dd4c45ef __clone (libc.so.6)
                
                Stack trace of thread 22449:
                #0  0x00007f01dd79267c futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f01cebb8500 PR_WaitCondVar (libnspr4.so)
                #2  0x00007f01d69fae41 _ZN2js23GlobalHelperThreadState4waitENS0_7CondVarEj (libmozjs-38.so)
                #3  0x00007f01cebbe07b _pt_root (libnspr4.so)
                #4  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #5  0x00007f01dd4c45ef __clone (libc.so.6)
                
                Stack trace of thread 22456:
                #0  0x00007f01dd79267c futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f01cebb8500 PR_WaitCondVar (libnspr4.so)
                #2  0x00007f01d69fae41 _ZN2js23GlobalHelperThreadState4waitENS0_7CondVarEj (libmozjs-38.so)
                #3  0x00007f01cebbe07b _pt_root (libnspr4.so)
                #4  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #5  0x00007f01dd4c45ef __clone (libc.so.6)
                
                Stack trace of thread 22455:
                #0  0x00007f01dd79267c futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f01cebb8500 PR_WaitCondVar (libnspr4.so)
                #2  0x00007f01d69fae41 _ZN2js23GlobalHelperThreadState4waitENS0_7CondVarEj (libmozjs-38.so)
                #3  0x00007f01cebbe07b _pt_root (libnspr4.so)
                #4  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #5  0x00007f01dd4c45ef __clone (libc.so.6)
                
                Stack trace of thread 22452:
                #0  0x00007f01dd79267c futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f01cebb8500 PR_WaitCondVar (libnspr4.so)
                #2  0x00007f01d69fae41 _ZN2js23GlobalHelperThreadState4waitENS0_7CondVarEj (libmozjs-38.so)
                #3  0x00007f01cebbe07b _pt_root (libnspr4.so)
                #4  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #5  0x00007f01dd4c45ef __clone (libc.so.6)
                
                Stack trace of thread 22457:
                #0  0x00007f01dd79267c futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f01cebb8500 PR_WaitCondVar (libnspr4.so)
                #2  0x00007f01d69fae41 _ZN2js23GlobalHelperThreadState4waitENS0_7CondVarEj (libmozjs-38.so)
                #3  0x00007f01cebbe07b _pt_root (libnspr4.so)
                #4  0x00007f01dd78c4fb start_thread (libpthread.so.0)
                #5  0x00007f01dd4c45ef __clone (libc.so.6)

Comment 23 Fedora Blocker Bugs Application 2017-09-09 06:57:50 UTC
Proposed as a Blocker and Freeze Exception for 27-beta by Fedora user mikhail using the blocker tracking app because:

 Very annoying bug because leads to lose all data in launched applications. And losing current logon session.

Comment 24 Vít Ondruch 2017-09-10 19:36:06 UTC
(In reply to Mikhail from comment #21)
Hi Mikhail. You probably want to provide the version of gjs you are using and read through this upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=785657

Comment 25 Mikhail 2017-09-10 20:06:48 UTC
# gjs --version
gjs 1.49.3

Comment 26 Vít Ondruch 2017-09-11 08:47:25 UTC
(In reply to Mikhail from comment #25)
> # gjs --version
> gjs 1.49.3

That version does not have the upstream patches applied, right. Not sure why it was not updated yet for F27+, since the patches were applied to upstream repository and the gnome mass update is under way if I am not mistaken ...

Comment 27 Kamil Páral 2017-09-11 16:44:44 UTC
Discussed during blocker review [1]:

RejectedBlocker (Beta) AcceptedFreezeException (Beta) - this is bad if you hit it, but the FAF numbers and upstream bug analysis indicate not many people do actually hit it; thus the breadth of impact isn't significant enough for this to block the Beta. We'll accept a fix if it's targeted and arrives in good time for testing

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2017-09-11/

Comment 28 Vít Ondruch 2017-09-12 06:08:14 UTC
(In reply to Kamil Páral from comment #27)
> FAF numbers

I can tell you that with the gjs-1.49.3-3.fc27, I myself used to hit this bug more the 7 times per week (actually it used to be even 1-5 times per evening), which is way more then FAF suggests ...

Comment 29 Hans de Goede 2017-09-14 14:54:27 UTC
Ok, so I just downgraded my main workstation's gjs install from 1.49.3 to 1.48.7 and gnome still works fine. 

Can we please consider this as a solution to these crashes?

As for the frequency of this I'm seeing this like 10 times a day at least on my main workstation and my xps 15 laptop is also affected.

Comment 30 Kamil Páral 2017-09-15 12:23:57 UTC
Per discussion in bug 1490351 comment 4 through bug 1490351 comment 7, Hans believe this should be a Final blocker, so I'm adjusting the tags.

Hans, if you can give us additional details like reproduction steps or the likelihood of other people affected, that would be great.

Comment 31 Vít Ondruch 2017-09-15 15:39:08 UTC
@Kamil: You should take a look at bug 1444365, there is 97 (!!!) people subscribed to the F26 reincarnation of this issue.

If nothing else, there should be the patches available upstream backported to gjs 1.49.x in F27+

Comment 32 Hans de Goede 2017-09-16 08:08:31 UTC
(In reply to Kamil Páral from comment #30)
> Hans, if you can give us additional details like reproduction steps or the
> likelihood of other people affected, that would be great.

Reproduction steps are just using my machine (using firefox seems to trigger this more often) as mentioned using TopIcons may also be a factor.

As mentioned already this has been discussed extensively upstream:
https://bugzilla.gnome.org/show_bug.cgi?id=783935
https://bugzilla.gnome.org/show_bug.cgi?id=785657

And there are a couple of fixes which make the crash happen less frequently, for me using the upstream patches / downgrading to 1.48.7 which works fine with F27, results in a crash frequency of 1-2 times a day instead of 10-30 times a day.

As for the number of people being affected, as you say there are 97 people Cc-ed to the F26 version of this bug, also lots of ABRT reports pointing to gjs:
https://apps.fedoraproject.org/packages/gjs/bugs/all

And the upstream bugs have 18 resp. 15 people in the Cc.

TL;DR: I would say lots of people are affected.

Comment 33 Kamil Páral 2017-09-19 08:22:31 UTC
(In reply to Vít Ondruch from comment #31)
> @Kamil: You should take a look at bug 1444365, there is 97 (!!!) people
> subscribed to the F26 reincarnation of this issue.

Thanks a lot, Vít, I totally missed this bug referenced in comment 1. Yes, that paints a completely different picture.

> If nothing else, there should be the patches available upstream backported
> to gjs 1.49.x in F27+

We need a gjs update submitted for F27, because currently I don't see any. And I don't think we're going to use epoch to downgrade to 1.48.

Kalev, could you please submit one?

Comment 34 Kamil Páral 2017-09-19 08:57:17 UTC
<kalev-afk> hey, I'll work on that today
<kalev-afk> it needs new mozjs52 which isn't building for s390x and ppc
<kalev-afk> trying to get that to build first

Comment 35 Fedora Update System 2017-09-21 02:30:15 UTC
gnome-weather-3.26.0-2.fc27 mozjs52-52.3.0-1.fc27 gjs-1.50.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-275b1e9bf2

Comment 36 Kamil Páral 2017-09-21 07:20:09 UTC
Those of you affected, please test update from comment 35 and add karma, thanks.

Comment 37 Fedora Update System 2017-09-21 23:58:42 UTC
gjs-1.50.0-1.fc27, gnome-weather-3.26.0-2.fc27, mozjs52-52.3.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-275b1e9bf2

Comment 38 Fedora Update System 2017-09-25 18:07:36 UTC
gjs-1.50.0-1.fc27, gnome-weather-3.26.0-2.fc27, mozjs52-52.3.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.